/*
 
 iPod Control version 1.0.0
 2009/02/22
 
 */

/*
  iPodControl.h - Library for iPod Serial Control code.
  Copyright (c) recotana(http://recotana.com).  All right reserved.
   
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License version 2.1 as published by the Free Software Foundation.
*/



#ifndef ipod_contro_h
#define ipod_control_h

#include <WProgram.h>



//Simple iPod Remote Command
#define SMP_PLAY_PAUSE		1	//play / pause
#define SMP_VOL_UP			2	//vol +
#define SMP_VOL_DOWN		3	//vol -
#define SMP_SKIP_NEXT		4	//skip next
#define SMP_SKIP_PREV		5	//skip prev
#define SMP_ALBUM_NEXT		6	//next album
#define SMP_ALBUM_PREV		7	//prev album
#define SMP_STOP			8	//stop

#define SMP_PLAY_ONLY		9	//play (only play)
#define SMP_PAUSE_ONLY		10	//pause (only pause)
#define SMP_MUTE			11	//mute
#define SMP_PLAYLIST_NEXT	12	//next playlist
#define SMP_PLAYLIST_PREV	13	//prev playlist
#define SMP_TOGGLE_SHUFFLE	14	//toggle shuffle

#define SMP_TOGGLE_REPEAT	15	//toggle repeat
#define SMP_POWER_OFF		16	//iPod power off
#define SMP_POWER_ON		17	//iPod power on
#define SMP_MENU			18	//menu button
#define SMP_SELECT			19	//OK/select button

#define SMP_SCROLL_UP		20	//scroll up
#define SMP_SCROLL_DOWN		21	//scroll down

// private command
#define SMP_BT_RELEASE	0		//btton release

//static byte cmdData[14][6];
class IPodControl
{
public:
	IPodControl();
	void sirCommand(byte cmd);
	
private:
	
	void sirSend(byte cmd);

};

#endif